Bug 44101 - in 3.0.3, ctrl-z, fg breaks the connection
in 3.0.3, ctrl-z, fg breaks the connection
Product: Red Hat Raw Hide
Classification: Retired
Component: ncftp (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: 50846 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-06-11 02:47 EDT by Pekka Savola
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-04 15:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for suspend problem (368 bytes, patch)
2001-07-29 04:16 EDT, Pekka Savola
no flags Details | Diff

  None (edit)
Description Pekka Savola 2001-06-11 02:47:38 EDT
In 3.0.3-[12], ctrl-z and then fg break the existing connection:

[root@linset /root]# ncftp linftp
NcFTP 3.0.3 (April 15, 2001) by Mike Gleason (ncftp@ncftp.com).
Connecting to
linftp.xxx.fi FTP server (Version 6.5/OpenBSD, linux port 0.3.3) ready.
Guest login ok, access restrictions apply.
Logged in to
ncftp / > 
[1]+  Stopped                 ncftp linftp
[root@linset /root]# fg
ncftp linftp

ncftp / > 

You have not saved a bookmark for this site.

Would you like to save a bookmark to:

Save? (yes/no) Not saved.  (If you don't want to be asked this, "set
confirm-close no")
In 3.0.2-2 with IPv6 patches, this works fine.

FWIW, this also happens on my FreeBSD 4.3 so it's clearly a problem with
3.0.3 itself.
Comment 1 Pekka Savola 2001-07-06 17:41:14 EDT
Revised signal handling appears broken.  Suspend is regarded the same as stop.
Comment 2 Pekka Savola 2001-07-29 04:15:30 EDT
Attached patch fixes this behaviour.  Additionally, when you resume from suspend, there will be no beep.
Comment 3 Pekka Savola 2001-07-29 04:16:13 EDT
Created attachment 25291 [details]
patch for suspend problem
Comment 4 Bernhard Rosenkraenzer 2001-08-04 15:37:25 EDT
*** Bug 50846 has been marked as a duplicate of this bug. ***
Comment 5 Bernhard Rosenkraenzer 2001-08-04 15:45:08 EDT
Fixed in 3.0.3-6

Note You need to log in before you can comment on or make changes to this bug.